summaryrefslogtreecommitdiffhomepage
path: root/sdks/github/script
diff options
context:
space:
mode:
Diffstat (limited to 'sdks/github/script')
-rwxr-xr-xsdks/github/script/publish15
-rwxr-xr-xsdks/github/script/release41
-rwxr-xr-xsdks/github/script/release.ts16
3 files changed, 56 insertions, 16 deletions
diff --git a/sdks/github/script/publish b/sdks/github/script/publish
new file mode 100755
index 000000000..54b1ba56e
--- /dev/null
+++ b/sdks/github/script/publish
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+# Get the latest Git tag
+latest_tag=$(git tag --sort=committerdate | grep -E '^github-v[0-9]+\.[0-9]+\.[0-9]+$' | tail -1)
+if [ -z "$latest_tag" ]; then
+ echo "No tags found"
+ exit 1
+fi
+echo "Latest tag: $latest_tag"
+
+# Update github-v1 to latest
+git tag -d github-v1
+git push origin :refs/tags/github-v1
+git tag -a github-v1 $latest_tag -m "Update github-v1 to $latest_tag"
+git push origin github-v1
diff --git a/sdks/github/script/release b/sdks/github/script/release
new file mode 100755
index 000000000..35180b454
--- /dev/null
+++ b/sdks/github/script/release
@@ -0,0 +1,41 @@
+#!/usr/bin/env bash
+
+# Parse command line arguments
+minor=false
+while [ "$#" -gt 0 ]; do
+ case "$1" in
+ --minor) minor=true; shift 1;;
+ *) echo "Unknown parameter: $1"; exit 1;;
+ esac
+done
+
+# Get the latest Git tag
+git fetch --force --tags
+latest_tag=$(git tag --sort=committerdate | grep -E '^github-v[0-9]+\.[0-9]+\.[0-9]+$' | tail -1)
+if [ -z "$latest_tag" ]; then
+ echo "No tags found"
+ exit 1
+fi
+
+echo "Latest tag: $latest_tag"
+
+# Split the tag into major, minor, and patch numbers
+IFS='.' read -ra VERSION <<< "$latest_tag"
+
+if [ "$minor" = true ]; then
+ # Increment the minor version and reset patch to 0
+ minor_number=${VERSION[1]}
+ let "minor_number++"
+ new_version="${VERSION[0]}.$minor_number.0"
+else
+ # Increment the patch version
+ patch_number=${VERSION[2]}
+ let "patch_number++"
+ new_version="${VERSION[0]}.${VERSION[1]}.$patch_number"
+fi
+
+echo "New version: $new_version"
+
+# Tag
+git tag $new_version
+git push --tags \ No newline at end of file
diff --git a/sdks/github/script/release.ts b/sdks/github/script/release.ts
deleted file mode 100755
index 9d0cbb7ee..000000000
--- a/sdks/github/script/release.ts
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/usr/bin/env bun
-
-import { $ } from "bun"
-
-try {
- await $`git tag -d github-v1`
- await $`git push origin :refs/tags/github-v1`
-} catch (e: any) {
- if (e instanceof $.ShellError && e.stderr.toString().match(/tag \S+ not found/)) {
- console.log("tag not found, continuing...")
- } else {
- throw e
- }
-}
-await $`git tag -a github-v1 -m "Update github-v1 to latest"`
-await $`git push origin github-v1`